{{!-- todo: remove experimental wrapper when finalized --}}
<div class="weapon-macro">

    {{!-- header --}}
    <div class="item item-titles">
        <div class="item-header" style="text-align: left;">Macros</div>
        <div class="item-subheader flexrow">
            <label>On Hit</label>
            <label>On Miss</label>
        </div>
    </div>

    {{!-- macros by id or embedded script --}}
    <div class="flexrow" style="margin-top: 5px;">
        <label for="macro-id-hit">Enter Macro Id or JS:</label>
        <label for="macro-id-miss"></label>
    </div>
    <div class="flexrow">

        {{!-- on hit --}}
        <div class="effect-change">
            <div class="cm-toolbar">
                <button id="format-code">Format Code</button>
                <button id="close">Close</button>
            </div>
            <textarea id="embedded-script" class="code-editor effect-editor action-effect-value" style="width: 99%;"
                name="system.onHit.script">{{system.onHit.script}}</textarea>

            <div class="effect-controls" style="flex: 0 0 40px;">
                <a class="macro-edit-control" data-action="delete"><i class="fas fa-trash"></i></a>
                <a class="macro-edit-control cm-launch" title="Launch Code Editor" style="margin-right: 3px;"
                    data-action="edit">
                    <i class="fas fa-edit"></i>
                </a>
            </div>
        </div>

        {{!-- on miss --}}
        <div class="effect-change">
            <div class="cm-toolbar">
                <button id="format-code">Format Code</button>
                <button id="close">Close</button>
            </div>
            <textarea id="embedded-script" class="code-editor effect-editor action-effect-value" style="width: 99%;"
                name="system.onMiss.script">{{system.onMiss.script}}</textarea>

            <div class="effect-controls" style="flex: 0 0 40px;">
                <a class="macro-edit-control" data-action="delete"><i class="fas fa-trash"></i></a>
                <a class="macro-edit-control cm-launch" title="Launch Code Editor" style="margin-right: 3px;"
                    data-action="edit">
                    <i class="fas fa-edit"></i>
                </a>
            </div>
        </div>
    </div>
</div>